﻿#ifndef WIMACONTROLLER_H
#define WIMACONTROLLER_H

#include <QObject>
#include "QGCMapPolygon.h"
#include "QmlObjectListModel.h"
#include "WimaFlyArea.h"

class WimaController : public QObject
{
    Q_OBJECT
public:
    explicit WimaController(QObject *parent = nullptr);

    Q_PROPERTY(WimaFlyArea *flyArea READ flyArea CONSTANT)
    //Q_PROPERTY(QmlObjectListModel*  visualItems             READ visualItems                NOTIFY visualItemsChanged)

    /// Add a fly area to the list
    ///     @param itemName: Name of complex item to create (from complexMissionItemNames)
    ///     @param mapCenterCoordinate: coordinate for current center of map
    ///     @param i: index to insert at
    /// @return Sequence number for new item
    Q_INVOKABLE void initWimaFlyArea();

    //Property Accessors
    WimaFlyArea *flyArea                           (void)  { return &_flyArea; }
    //QmlObjectListModel* visualItems                 (void) { return _visualItems; }

signals:


public slots:

private:
    //QmlObjectListModel* _visualItems;
    WimaFlyArea _flyArea;
};

#endif // WIMACONTROLLER_H
