#ifndef WIMAFLYAREA_H
#define WIMAFLYAREA_H

#include <QObject>
#include "QGCMapPolygon.h"

class WimaFlyArea : public QObject
{
    Q_OBJECT
public:
    WimaFlyArea(QObject *parent = nullptr);
    WimaFlyArea(const WimaFlyArea& other, QObject *parent = nullptr);

    const WimaFlyArea& operator=(const WimaFlyArea& other);



    Q_PROPERTY(QString       mapVisualQML               READ mapVisualQML CONSTANT)
    Q_PROPERTY(bool          isReady                    READ isReady NOTIFY readyStateChanged)
    Q_PROPERTY(QGCMapPolygon flyAreaPolygon             READ flyAreaPolygon CONSTANT)

    //  Property Accessors
    QString             mapVisualQML        (void) const  { return QStringLiteral("FlyAreaMapVisual.qml"); }
    bool                isReady             (void)        { return _isReady;}
    QGCMapPolygon       flyAreaPolygon      (void)        { return _flyAreaPolygon;}


    // Methodes
     void setReady();

signals:
     void readyStateChanged(void);


public slots:

private:
    QGCMapPolygon   _flyAreaPolygon;
    bool            _isReady;
};

#endif // WIMAFLYAREA_H
